local mod = ...

-- Woven farm fence
mod:registerAssetId("models/WovenFence.fbx/Prefab/Fence", "PREFAB_WOVENFENCE")
mod:registerAssetId("models/Blank.png", "TEXTURE_FENCE")

-- Register new material for the wall texture
mod:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

mod:register({
	DataType = "WALL_CONFIG",
	Id = "WOVENFENCE",	
	WallConfigName = "WOVENFENCE_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_WOVENFENCE",
	CrenationDistance = 3.0,
	StepLength = 3.0,
	Width = 0.2,
	Height = 0.7, 
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
